require "digest/md5"

require_relative "features/support/libs/mongo"

def to_md5(pass)
  return Digest::MD5.hexdigest(pass)
end

task :test do
  puts "Executando uma tarefa de teste"
end

task :local_seeds do
  CONFIG = YAML.load_file(File.join(Dir.pwd, "features/support/config/local.yml"))

  users = [
    { name: "Renato Bueno", email: "renato@gmail.com", password: to_md5("debs123") },
    { name: "Deborah Rossi", email: "bueno.@gmail.com", password: to_md5("debs123") },
    { name: "Lola Silva", email: "lola@gmail.com", password: to_md5("debs123") },
    { name: "Natalia Santos", email: "nat@gmail.com", password: to_md5("debs123") },
    { name: "Joao Silva", email: "joao@gmail.com", password: to_md5("debs123") },
  ]

  MongoDB.new.drop_danger
  MongoDB.new.insert_users(users)

  sh "cucumber"
end

task :hmg_seeds do
  CONFIG = YAML.load_file(File.join(Dir.pwd, "features/support/config/hmg.yml"))

  users = [
    { name: "Renato Bueno", email: "renato@gmail.com", password: to_md5("debs123") },
    { name: "Deborah Rossi", email: "bueno.@gmail.com", password: to_md5("debs123") },
  ]

  MongoDB.new.drop_danger
  MongoDB.new.insert_users(users)
end
